# Standard Library Imports
from typing import Any, Dict

# Third Party Imports
import treelib

# RAMSTK Package Imports
from ramstk.configuration import (
    RAMSTKUserConfiguration as RAMSTKUserConfiguration
)
from ramstk.logger import RAMSTKLogManager as RAMSTKLogManager
from ramstk.utilities import none_to_default as none_to_default
from ramstk.views.gtk3 import Gtk as Gtk
from ramstk.views.gtk3 import _ as _
from ramstk.views.gtk3.widgets import RAMSTKComboBox as RAMSTKComboBox
from ramstk.views.gtk3.widgets import RAMSTKEntry as RAMSTKEntry
from ramstk.views.gtk3.widgets import RAMSTKPanel as RAMSTKPanel
from ramstk.views.gtk3.widgets import RAMSTKWorkView as RAMSTKWorkView

class GoalMethodPanel(RAMSTKPanel):
    _dic_attribute_keys: Any = ...
    _lst_labels: Any = ...
    _measure_id: int = ...
    _method_id: int = ...
    _title: Any = ...
    _tree: Any = ...
    cmbAllocationGoal: Any = ...
    cmbAllocationMethod: Any = ...
    txtHazardRateGoal: Any = ...
    txtMTBFGoal: Any = ...
    txtReliabilityGoal: Any = ...
    _dic_attribute_updater: Any = ...
    _lst_widgets: Any = ...

    def __init__(self) -> None:
        ...

    def _do_clear_panel(self) -> None:
        ...

    _record_id: Any = ...

    def _do_load_panel(self, attributes: Dict[str, Any]) -> None:
        ...

    def _do_set_sensitive(self) -> None:
        ...

    def _do_set_tree(self, tree: treelib.Tree) -> None:
        ...

    def __do_load_combobox(self) -> None:
        ...

    def __do_set_callbacks(self) -> None:
        ...

    def __do_set_properties(self) -> None:
        ...

    def __do_set_sensitive(self, combo: RAMSTKComboBox) -> None:
        ...

    def __on_method_changed(self, combo: RAMSTKComboBox) -> None:
        ...


class AllocationPanel(RAMSTKPanel):
    _dic_attribute_updater: Any = ...
    _dic_hardware_attrs: Any = ...
    _dic_row_loader: Any = ...
    _selected_hardware_id: int = ...
    _hardware_tree: Any = ...
    _method_id: int = ...
    _title: Any = ...
    _tree: Any = ...

    def __init__(self) -> None:
        ...

    def do_set_callbacks(self) -> None:
        ...

    def _do_set_columns_editable(self) -> None:
        ...

    def _do_set_tree(self, tree: treelib.Tree) -> None:
        ...

    def _do_load_hardware_attrs(self) -> None:
        ...

    def _on_method_changed(self, method_id: int) -> None:
        ...

    _record_id: Any = ...

    def _on_row_change(self, selection: Gtk.TreeSelection) -> None:
        ...

    def _on_select_hardware(self, attributes: Dict[str, Any]) -> None:
        ...

    def __do_load_allocation(self,
                             node: Any = ...,
                             row: Gtk.TreeIter = ...) -> Gtk.TreeIter:
        ...

    def __do_set_properties(self) -> None:
        ...


class Allocation(RAMSTKWorkView):
    _module: str = ...
    _tablabel: str = ...
    _tabtooltip: str = ...
    _lst_tooltips: Any = ...
    _pnlGoalMethods: Any = ...
    _pnlPanel: Any = ...

    def __init__(self, configuration: RAMSTKUserConfiguration,
                 logger: RAMSTKLogManager) -> None:
        ...

    _record_id: Any = ...
    _parent_id: Any = ...

    def _do_set_record_id(self, attributes: Dict[str, Any]) -> None:
        ...

    def _do_request_calculate(self, __button: Gtk.ToolButton) -> None:
        ...

    def __make_ui(self) -> None:
        ...
