# Standard Library Imports
from typing import Any

# RAMSTK Package Imports
from ramstk.configuration import (
    RAMSTKUserConfiguration as RAMSTKUserConfiguration
)
from ramstk.logger import RAMSTKLogManager as RAMSTKLogManager
from ramstk.utilities import integer_to_boolean as integer_to_boolean
from ramstk.utilities import string_to_boolean as string_to_boolean
from ramstk.views.gtk3 import Gdk as Gdk
from ramstk.views.gtk3 import GObject as GObject
from ramstk.views.gtk3 import Gtk as Gtk
from ramstk.views.gtk3 import _ as _
from ramstk.views.gtk3.widgets import RAMSTKBaseView as RAMSTKBaseView
from ramstk.views.gtk3.widgets import RAMSTKComboBox as RAMSTKComboBox
from ramstk.views.gtk3.widgets import RAMSTKEntry as RAMSTKEntry
from ramstk.views.gtk3.widgets import RAMSTKLabel as RAMSTKLabel
from ramstk.views.gtk3.widgets import RAMSTKPanel as RAMSTKPanel
from ramstk.views.gtk3.widgets import do_make_column as do_make_column
from ramstk.views.gtk3.widgets import do_make_text_cell as do_make_text_cell
from ramstk.views.gtk3.widgets import (
    do_make_toggle_cell as do_make_toggle_cell
)
from ramstk.views.gtk3.widgets import (
    do_set_cell_properties as do_set_cell_properties
)

class GeneralPreferencesPanel(RAMSTKPanel):
    _lst_labels: Any = ...
    _configuration: Any = ...
    _title: Any = ...
    btnConfDir: Any = ...
    btnDataDir: Any = ...
    btnIconDir: Any = ...
    btnLogDir: Any = ...
    cmbModuleBookTabPosition: Any = ...
    cmbWorkBookTabPosition: Any = ...
    cmbListBookTabPosition: Any = ...
    cmbReportSize: Any = ...
    txtFRMultiplier: Any = ...
    txtDecimalPlaces: Any = ...
    txtMissionTime: Any = ...
    _lst_widgets: Any = ...

    def __init__(self) -> None:
        ...

    def _do_load_panel(self, configuration: RAMSTKUserConfiguration) -> None:
        ...

    def __do_load_comboboxes(self) -> None:
        ...

    def __do_select_path(self, button: Gtk.FileChooserButton,
                         index: int) -> None:
        ...

    def __do_set_callbacks(self) -> None:
        ...

    def __do_set_properties(self) -> None:
        ...

    def __on_change_combo(self, combo: RAMSTKComboBox, index: int) -> None:
        ...


class LookFeelPanel(RAMSTKPanel):
    _lst_labels: Any = ...
    _configuration: Any = ...
    _title: Any = ...
    btnRevisionBGColor: Any = ...
    btnRevisionFGColor: Any = ...
    btnFunctionBGColor: Any = ...
    btnFunctionFGColor: Any = ...
    btnRequirementsBGColor: Any = ...
    btnRequirementsFGColor: Any = ...
    btnHardwareBGColor: Any = ...
    btnHardwareFGColor: Any = ...
    btnSoftwareBGColor: Any = ...
    btnSoftwareFGColor: Any = ...
    btnValidationBGColor: Any = ...
    btnValidationFGColor: Any = ...
    btnIncidentBGColor: Any = ...
    btnIncidentFGColor: Any = ...
    btnTestingBGColor: Any = ...
    btnTestingFGColor: Any = ...
    cmbFormatFiles: Any = ...
    tvwTreeView: Any = ...
    _lst_widgets: Any = ...

    def __init__(self) -> None:
        ...

    def _do_load_panel(self, configuration: RAMSTKUserConfiguration) -> None:
        ...

    def _do_set_color(self, colorbutton: Gtk.ColorButton,
                      ramstk_color: int) -> None:
        ...

    def __do_set_callbacks(self) -> None:
        ...

    def __do_set_properties(self) -> None:
        ...


class TreeLayoutPanel(RAMSTKPanel):
    _lst_labels: Any = ...
    _configuration: Any = ...
    _title: Any = ...
    cmbFormatFiles: Any = ...
    fmt_file: str = ...
    _lst_widgets: Any = ...

    def __init__(self) -> None:
        ...

    @staticmethod
    def _do_edit_cell(__cell: Any, path: Any, new_text: Any, position: Any,
                      model: Any) -> None:
        ...

    def _do_load_format(self, module: str) -> None:
        ...

    def _do_load_panel(self, configuration: RAMSTKUserConfiguration) -> None:
        ...

    @staticmethod
    def _do_toggle_cell(cell: Any, path: Any, position: Any,
                        model: Any) -> None:
        ...

    def __do_load_comboboxes(self) -> None:
        ...

    def __do_make_treeview(self) -> None:
        ...

    def __do_set_callbacks(self) -> None:
        ...

    def __do_set_properties(self) -> None:
        ...

    def __make_ui(self) -> None:
        ...

    def __on_change_combo(self, combo: RAMSTKComboBox) -> None:
        ...


class EditPreferences(RAMSTKBaseView):
    _module: str = ...
    _pixbuf: bool = ...
    _tablabel: str = ...
    _tabtooltip: str = ...
    _lst_callbacks: Any = ...
    _lst_icons: Any = ...
    _lst_tooltips: Any = ...
    _pnlGeneralPreferences: Any = ...
    _pnlLookFeel: Any = ...
    _pnlTreeViewLayout: Any = ...

    def __init__(self, configuration: RAMSTKUserConfiguration,
                 logger: RAMSTKLogManager) -> None:
        ...

    def _cancel(self, __button: Gtk.Button) -> None:
        ...

    def _do_request_update(self, __button: Gtk.Button) -> None:
        ...

    def _do_save_tree_layout(self) -> None:
        ...

    def __make_ui(self) -> None:
        ...
